KSSLX509Map Class Reference

`#include <ksslx509map.h>`

## Public Member Functions

| KSSLX509Map (const QString &name)
| ~KSSLX509Map ()
void | setValue (const QString &key, const QString &value)
QString | getValue (const QString &key) const
void | reset (const QString &name="")

## Detailed Description

X.509 Map Parsing Class.

This class is used to parse and store a map as used in X.509 certificates. It is of the form /name=value/name=value/name=value

Author
  George Staikos staik.nosp@m.os@k.nosp@m.de.or.nosp@m.g

See also
  KSSL, KSSLCertificate X.509 Map Parser

Definition at line 39 of file ksslx509map.h.

## Constructor & Destructor Documentation

KSSLX509Map::KSSLX509Map | ( | const QString & | name | ) |

Construct an X.509 Map.

Parameters

  name | the map to parse

Definition at line 25 of file ksslx509map.cc.

KSSLX509Map::~KSSLX509Map | ( |  | ) |

Destroy this map.

Definition at line 30 of file ksslx509map.cc.

## Member Function Documentation

QString KSSLX509Map::getValue | ( | const QString & | key | ) | const

Get the value of an entry in the map.

Parameters

  key | the key

Returns
  the value

Definition at line 40 of file ksslx509map.cc.

void KSSLX509Map::reset | ( | const QString & | name = `""` | ) |

Reset (clear) the internal storage.

Parameters

  name | if this is not empty, it will be parsed and used as the new map internally

Definition at line 100 of file ksslx509map.cc.

void KSSLX509Map::setValue | ( | const QString & | key,
|  | const QString & | value
| ) |  |

Set a value in the map.

Parameters

  key | the key
  value | the value

Definition at line 35 of file ksslx509map.cc.

The documentation for this class was generated from the following files:

- ksslx509map.h
- ksslx509map.cc

KDE Home | KDE Accessibility Home | Description of Access Keys